﻿@using Umbraco.Cms.Web.Common.PublishedModels;
@inherits Umbraco.Cms.Web.Common.Views.UmbracoViewPage<ContentModels.TextPage>
@using ContentModels = Umbraco.Cms.Web.Common.PublishedModels;
@{
    Layout = "_Layout.cshtml";
}

<section class="section section--themed section--header section--content-center-bottom">
    <div class="section__hero-content">
        <h1 class="no-air">@Model.Name()</h1>
    </div>
</section>

<section class="section">
    <div class="container">
        <div class="col-md-9">
            <article>
                <!-- Replace with "bodyText" value -->
                @Model.BodyText
                <p>Lorem ipsum</p>
            </article>
        </div>

        <div class="col-md-3">
            <nav class="nav-bar nav-bar--list">
                @foreach (var child in Model.AncestorOrSelf(2).Children())
                {
                    <a class="nav-link nav-link--black nav-link--air-bottom @child.IsAncestorOrSelf(Model, "nav-link--active")"
                   href="@child.Url()">@child.Name()</a>
                }
            </nav>
        </div>


    </div>
</section>